List conversations

Base URL
https://{kibana_url}
  • GET /api/agent_builder/conversations
  • GET /s/{space_id}/api/agent_builder/conversations
Auth

List all conversations for a user. Use the optional agent ID to filter conversations by a specific agent. To learn more about agent conversations, refer to the agent chat documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

agent_id string · max length: 64

Optional agent ID to filter conversations by a specific agent.

page number · min: 1 · default: 1

Page number, 1-based.

per_page number · min: 1 · max: 1000 · default: 1000

Number of results per page. Maximum 1000.

sort_order enum · default: desc

Sort direction for results, ordered by updated_at.

Values: asc desc
pinned boolean

Filter to pinned (true) or unpinned (false) conversations. Omit to return all.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}